%define libxml2_version 2.4.12
%define orbit2_version 2.8.0
%define glib2_version 2.14.0
%define dbus_version 1.0.1
%define dbus_glib_version 0.74

Summary: A process-transparent configuration system
Name: GConf2
Version: 2.28.0
Release: 6%{?dist}
License: LGPLv2+
Group: System Environment/Base
Source: http://download.gnome.org/sources/GConf/2.28/GConf-%{version}.tar.bz2
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
URL: http://projects.gnome.org/gconf/

BuildRequires: libxml2-devel >= %{libxml2_version}
BuildRequires: ORBit2-devel >= %{orbit2_version}
BuildRequires: glib2-devel >= %{glib2_version}
BuildRequires: dbus-devel >= %{dbus_version}
BuildRequires: dbus-glib-devel >= %{dbus_glib_version}
BuildRequires: gtk2-devel
BuildRequires: gtk-doc >= 0.9
BuildRequires: pkgconfig >= 0.14
BuildRequires: gettext
BuildRequires: openldap-devel
BuildRequires: intltool
BuildRequires: polkit-devel >= 0.92
BuildRequires: dbus-glib-devel >= 0.8
BuildRequires: autoconf automake libtool
Requires: dbus
# for /usr/share/sgml
Requires: sgml-common
# for patch0
Requires: /usr/bin/killall
Conflicts: GConf2-dbus

Patch0: GConf-2.18.0.1-reload.patch
# http://bugzilla.gnome.org/show_bug.cgi?id=568845
Patch1: GConf-gettext.patch
#
Patch2: no-access-crash.patch
# upstream fix
Patch3: 0001-Make-the-defaults-mechanism-find-the-right-polkit-ac.patch

# https://bugzilla.redhat.com/show_bug.cgi?id=576226
Patch4: new-environment-variables.patch

%description
GConf is a process-transparent configuration database API used to
store user preferences. It has pluggable backends and features to
support workgroup administration.

%package devel
Summary: Headers and libraries for GConf development
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}
Requires: libxml2-devel >= %{libxml2_version}
Requires: ORBit2-devel >= %{orbit2_version}
Requires: glib2-devel >= %{glib2_version}
# we install a pc file
Requires: pkgconfig
# we install an automake macro
Requires: automake
Conflicts: GConf2-dbus-devel

%description devel
GConf development package. Contains files needed for doing
development using GConf.

%package gtk
Summary: Graphical GConf utilities
Group: System Environment/Base
Requires: %{name} = %{version}-%{release}

%description gtk
The GConf2-gtk package contains graphical GConf utilities
which require GTK+.

%prep
%setup -q -n GConf-%{version}
%patch0 -p1 -b .reload
%patch1 -p1 -b .gettext
%patch2 -p1 -b .no-access
%patch3 -p1 -b .defaults-actions
%patch4 -p1 -b .new-environment-variables

autoreconf -f -i

%build
%configure --disable-static --enable-defaults-service

# drop unneeded direct library deps with --as-needed
# libtool doesn't make this easy, so we do it the hard way
sed -i -e 's/ -shared / -Wl,-O1,--as-needed\0 /g' -e 's/    if test "$export_dynamic" = yes && test -n "$export_dynamic_flag_spec"; then/      func_append compile_command " -Wl,-O1,--as-needed"\n      func_append finalize_command " -Wl,-O1,--as-needed"\n\0/' libtool

make

%install
rm -fr $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/gconf/schemas
mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/gconf/gconf.xml.system

rm -f $RPM_BUILD_ROOT%{_libdir}/*.la
rm -f $RPM_BUILD_ROOT%{_libdir}/GConf/2/*.la

%find_lang %name

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/ldconfig

if [ $1 -gt 1 ]; then
    if ! fgrep -q gconf.xml.system %{_sysconfdir}/gconf/2/path; then
        sed -i -e 's@xml:readwrite:$(HOME)/.gconf@&\n\n# Location for system-wide settings.\nxml:readonly:/etc/gconf/gconf.xml.system@' %{_sysconfdir}/gconf/2/path
    fi
fi

%postun -p /sbin/ldconfig

%files -f %{name}.lang
%defattr(-, root, root)
%doc COPYING NEWS README backends/README.evoldap
%config(noreplace) %{_sysconfdir}/gconf/2/path
%config(noreplace) %{_sysconfdir}/gconf/2/evoldap.conf
%dir %{_sysconfdir}/gconf
%dir %{_sysconfdir}/gconf/2
%dir %{_sysconfdir}/gconf/gconf.xml.defaults
%dir %{_sysconfdir}/gconf/gconf.xml.mandatory
%dir %{_sysconfdir}/gconf/gconf.xml.system
%dir %{_sysconfdir}/gconf/schemas
%{_bindir}/*
%{_libexecdir}/gconfd-2
%{_libdir}/*.so.*
%{_libdir}/GConf/2/*.so
%{_datadir}/sgml/gconf
%{_datadir}/GConf
%{_mandir}/man1/*
%dir %{_libdir}/GConf
%dir %{_libdir}/GConf/2
%{_sysconfdir}/dbus-1/system.d/org.gnome.GConf.Defaults.conf
%{_libexecdir}/gconf-defaults-mechanism
%{_datadir}/polkit-1/actions/org.gnome.gconf.defaults.policy
%{_datadir}/dbus-1/system-services/org.gnome.GConf.Defaults.service
%{_datadir}/dbus-1/services/org.gnome.GConf.service

%files gtk
%defattr(-, root, root)
%{_libexecdir}/gconf-sanity-check-2

%files devel
%defattr(-, root, root)
%{_libdir}/*.so
%{_includedir}/gconf
%{_datadir}/aclocal/*.m4
%{_datadir}/gtk-doc/html/gconf
%{_libdir}/pkgconfig/*


%changelog

